sale or rent. Get the geography ids from
/autocomplete.
Query Parameters
Response
Example
Response
Each price-insights request costs 15 credits. Failed requests are not charged.
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Monthly €/m² price-history time series for a region, province or city — sale or rent.
sale or rent. Get the geography ids from
/autocomplete.
const res = await fetch(
"https://scrapebadger.com/v1/immobiliare/market-insights/prices?" +
new URLSearchParams({
market: "it",
region_id: "10",
province_id: "MI",
city_id: "8042",
contract: "sale",
}),
{ headers: { "X-API-Key": process.env.SCRAPEBADGER_API_KEY } },
);
const data = await res.json();
import requests
res = requests.get(
"https://scrapebadger.com/v1/immobiliare/market-insights/prices",
headers={"X-API-Key": "YOUR_API_KEY"},
params={
"market": "it",
"region_id": "10",
"province_id": "MI",
"city_id": "8042",
"contract": "sale",
},
)
data = res.json()
curl "https://scrapebadger.com/v1/immobiliare/market-insights/prices?market=it®ion_id=10&province_id=MI&city_id=8042&contract=sale" \
-H "X-API-Key: YOUR_API_KEY"
{
"contract": "sale",
"unit": "EUR/m²",
"points": [
{ "label": "2025-08", "value": 5412 },
{ "label": "2025-09", "value": 5438 },
{ "label": "2025-10", "value": 5461 },
{ "label": "2025-11", "value": 5449 },
{ "label": "2025-12", "value": 5470 },
{ "label": "2026-01", "value": 5492 },
{ "label": "2026-02", "value": 5518 },
{ "label": "2026-03", "value": 5544 },
{ "label": "2026-04", "value": 5571 },
{ "label": "2026-05", "value": 5590 },
{ "label": "2026-06", "value": 5603 }
],
"market": "it"
}
